curl https://api.cineamo.com/comments \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"id": 1,
"text": "Some comment",
"creatorType": 1,
"createdDatetime": "2022-04-11T04:11:22Z",
"thread": {
"id": 0,
"cinema": {
"id": 1,
"name": "some cinema name",
"shortName": "short name",
"slug": "some-cinema-name",
"description": "description",
"phone": "012345678910",
"street": "Some Street",
"postalCode": "12345",
"city": "Sim City",
"state": "Some State",
"stateAbbr": "SS",
"country": "Germany",
"countryCode": "DE",
"currencyCode": "EUR",
"longitude": "10.070198",
"latitude": "49.778145",
"distance": 0,
"profileImageRef": "00000000-0000-0000-0000-000000000000",
"profileImageUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/cinema-profile",
"logoImageRef": "00000000-0000-0000-0000-000000000000",
"logoImageUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/cinema-logo",
"logoWideImageRef": "00000000-0000-0000-0000-000000000000",
"logoWideImageUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/cinema-wide-logo",
"priceTablePdfRef": "00000000-0000-0000-0000-000000000000",
"priceTablePdfUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/cinema-price-table",
"primaryColor": "primaryColor",
"instagramLink": "instagramLink",
"facebookLink": "facebookLink",
"ticketSystemId": "ticketSystemId",
"ticketSystem": "ticketSystem",
"email": "some@email.com",
"isActive": "true",
"cinemaConfigurationId": 1,
"cinemaConfiguration": {
"id": 1,
"minimalInitialEventVisitor": 0,
"requestTimeoutAnswer": 0,
"isCatering": "true",
"ticketSystem": "ticketSystem",
"ticketSystemId": "ticketSystemId",
"ticketUrlTemplate": "ticketUrlTemplate",
"facebookAccessToken": "facebookAccessToken",
"hasMarketingAssistantBooked": "true",
"visitorThreshold1": 0,
"visitorThreshold2": 0,
"isPublicRequestAvailable": "true",
"isProgramSuggestionEnabled": "true",
"isPrivateBookingEnabled": "true",
"isActive": "true",
"isPrivateBookingPartner": "true",
"isOnlineTicketingAvailable": "true",
"isOnlineTicketingEnabled": "true",
"onlineTicketing": "{}",
"isKOSCustomer": "true",
"isInterestSystemActivated": "true",
"isGiftCardRedemptionEnabled": "false",
"isWebsiteCustomer": "true",
"websiteConfiguration": "{}",
"ticketUrlTemplateIosAppendix": "ticketUrlTemplateIosAppendix",
"ticketUrlTemplateAndroidAppendix": "ticketUrlTemplateAndroidAppendix",
"ticketUrlTemplateWebAppendix": "ticketUrlTemplateWebAppendix",
"ticketUrlTemplateCinemaWebsiteAppendix": "ticketUrlTemplateCinemaWebsiteAppendix",
"domain": "domain",
"pulseTenantId": "pulseTenantId"
},
"showtimesUpdated": "showtimesUpdated",
"isFavorite": "true",
"hasMarketingAssistantBooked": "true",
"cineamoTrailerConfirmedDatetime": "2022-04-11T04:11:22Z",
"metricCustomersCount": 1,
"metricCompareCustomersCount": 1,
"metricCustomersTotalCount": 1,
"cinemaChainId": 1,
"cinemaCompanyId": 1,
"cityId": 1,
"openingHoursCustomText": {
"deu": "German translation",
"gsw": "Swiss German translation"
}
},
"user": {
"id": 123,
"username": "i_am_batman",
"firstName": "Frank",
"lastName": "Pentangeli",
"profileImageRef": "00000000-0000-0000-0000-000000000000",
"profileImageUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/user-profile",
"isActivated": true,
"isDeleted": "true",
"lastAccessTokenDatetime": "2022-04-11T04:11:22Z"
},
"topic": "topic",
"slug": "slug",
"text": "text",
"tags": {},
"creatorType": 0,
"createdDatetime": "createdDatetime",
"commentsCount": 0
},
"user": {
"id": 123,
"username": "i_am_batman",
"firstName": "Frank",
"lastName": "Pentangeli",
"profileImageRef": "00000000-0000-0000-0000-000000000000",
"profileImageUrl": "https://cdn.example.com/00000000-0000-0000-0000-000000000000/user-profile",
"isActivated": true,
"isDeleted": "true",
"lastAccessTokenDatetime": "2022-04-11T04:11:22Z"
}
}'